Page MenuHomePhabricator

Have wmf-insecte use color to make the reading of the scrollback easier
Closed, ResolvedPublic

Description

I actually like color, I know others might not.

But, I think if the "STILL FAILING"/"FIXED"/etc bits of the wmf-insecte messages were colorized (green/red as appropriate) it'd be easier to scan the multiline messages.

Related task T95395: Do not say "< wmf-insecte> Yippee, build fixed!"

Details

Reference
bz62573

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:03 AM
bzimport added a project: Quality-Assurance.
bzimport set Reference to bz62573.
bzimport added a subscriber: Unknown Object (MLST).
greg created this task.Mar 12 2014, 7:31 PM
hashar renamed this task from Have wmf-selenium-bot use color to make the reading of the scrollback easier to Have wmf-insecte use color to make the reading of the scrollback easier.Apr 15 2015, 3:08 PM
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.

Renamed wmf-selenium-bot to wmf-insecte.

The messages are sent by the Jenkins IRC Plugin which does not colorize messages.

you might want to fill a feature request at https://issues.jenkins-ci.org/ against Jenkins > ircbot-plugin.

Related task T95395: Do not say "< wmf-insecte> Yippee, build fixed!"

We had Jenkins deadlocking on IRC notifications for most of the day (T96183). While looking at the global Jenkins configuration, I have found out the IRC plugin has an option to enable colorized output!

I guess we can be bold and just enable it.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 3:24 PM
greg added a comment.Sep 30 2015, 3:52 PM

I guess we can be bold and just enable it.

I was going to just now, but I can't find the setting! :(

hashar closed this task as Resolved.Oct 1 2015, 10:55 AM
hashar claimed this task.

It is in Jenkins global configuration https://integration.wikimedia.org/ci/configure

Look for IRC then click the Advanced button.

I have been bold and checked the enable colors option.